#pragma once
#include "afxwin.h"
#include "afxdtctl.h"

#include <list>

using namespace std;

// CRecordEx 对话框

class CRecordEx : public CDialog
{
	DECLARE_DYNAMIC(CRecordEx)

public:
	CRecordEx(CRect rcWnd, CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CRecordEx();

// 对话框数据
	enum { IDD = IDD_DLG_RECORDEX };


	void Query(LPCTSTR strKey, int iPage);
	
	CEdit m_ctlSavePath;
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()

private:
	CRect m_rcClient;
	virtual BOOL OnInitDialog();
	CStatic m_ctlGroup;
	afx_msg void OnBnClickedBtnPagedown();
	CComboBox m_ctlCBRecordType;
	CComboBox m_ctlCBMediaType;
	CComboBox m_ctlCBStreamType;
	CDateTimeCtrl m_ctlStartDate;
	CDateTimeCtrl m_ctlStartTime;
	CDateTimeCtrl m_ctlEndDate;
	CDateTimeCtrl m_ctlEndTime;
	int m_iMaxLen;
	int m_iMinLen;


private:
	void ShowRecord(BOOL bEnable);
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnBnClickedCkLogQuery();
	afx_msg void OnBnClickedCkRecordQuery();
	CButton m_ctlQueryLog;
	CButton m_ctlQueryRecord;
	CEdit m_ctlEDMAXLen;
	CEdit m_ctlEDMinLen;
	afx_msg void OnCbnSelchangeCbMediatype();
};
